<%@ page language="C#" autoeventwireup="true" inherits="Pages_MobileView_NoOfEmployee, App_Web_4rvn1bmo" masterpagefile="~/Pages/Common/MasterPages/MobileViewMasterPage.master" enableEventValidation="false" viewStateEncryptionMode="Never" %>

<asp:Content ID="Content1" ContentPlaceHolderID="CP" runat="Server">
    <script>
        var Id;
        var OrgId;
        var OrgGroupId;
        var Group;
        var BatchId;
        var statusId;
        var Header;
        var ReHeader;
        $(document).ready(function () {
            var myurl = window.location.href;
            var keyval = myurl.split('?')[1].split('&');
            OrgId = parseInt(keyval[0].split('=')[1].toString());
            Id = OrgId = parseInt(keyval[0].split('=')[1].toString());
            Group = keyval[1].split('=')[1].toString();

            //if (keyval[1].split('=')[0].toString() == 'OrgId' || keyval[1].split('=')[0].toString() == 'OrgGroupId') {
            //    Id = parseInt(keyval[0].split('=')[1].toString()); SessionGroup = sessionStorage.getItem("NewGroup"); Group = SessionGroup;
            //}
            //else { Group = keyval[1].split('=')[1].toString(); sessionStorage.setItem('NewGroup', Group); sessionStorage.clear(); }
            $.ajax({
                type: "POST",
                url: "NoOfEmployee.aspx/GetOrgId",
                data: JSON.stringify({ "Id": Id, "Group": Group }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    if (Group == "OrgId") {
                        Header = "<h5 class='page-title'><a href='#' onclick='dashboardpage()'>" + obj[0].Title + "</a></h5>" +
                          " <h5 class='page-title' style='display:Block' id='ClassName'><a href='#' onclick='PageName()'>No of Employee</a></h5>";
                        $("#HeaderLabel").text("MIS DashBoard");
                    }
                    else {
                        Header = "<h5 class='page-title'><a href='#' onclick='dashboardpage()'>" + obj[0].Title + "</a></h5>" +
                          " <h5 class='page-title' style='display:Block' id='ClassName'><a href='#' onclick='PageName()'>No of Employee</a></h5>";
                        $("#HeaderLabel").text("EIS DashBoard");
                    }

                    document.getElementById("HeaderTitle").innerHTML = Header;
                    ReHeader = document.getElementById("HeaderTitle").innerHTML;
                }
            });
            if (Group == "OrgId")
            { EmployeeDepartmentDataBind(); }
            else { OrganizationGet(); }

        });

        function PageName() {
            if (Group == "OrgId") {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + Id;
            }
            else {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id;
            }
        }

        function HeaderDisplay(id) {
            if (id == 1) {
                document.getElementById("DepartHead").style.display = "block";
                document.getElementById("EmployeetHead").style.display = "none";
                $("#Depart").hide();
                Header = '' + ReHeader;
            }
        }
        function dashboardpage() {
            if (Group == "OrgId") {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + Id;
            }
            else {
                window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id;
            }
        }
        function OrganizationGet() {
            $.ajax({
                type: "POST",
                url: "NoOfEmployee.aspx/OrganizationGet",
                data: JSON.stringify({ "OrgId": OrgId, "BatchId": parseInt(BatchId) }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tblOrg = "";
                    var total = 0;
                    // console.log(obj);
                    if (obj != "") {
                        tblOrg += "<tr><th>Organization Name</th><th>Count</th></tr>";
                        $.each(obj, function (i, item) {

                            tblOrg += "<tr><td><a onclick='EmployeeDepartmentDataBind(" + item.OrgId + ")'>" + item.Organization + "</a></td><td>" + item.EmployeeCount + "</td></tr>";
                            total += parseInt(item.EmployeeCount);
                        });
                        tblOrg += "<tr><td style='font-weight:bold'>Total</td><td style='font-weight:bold'>" + total + "</td></tr>";
                        // Header += " <h5 class='page-title' style='display:Block' id='ClassName'><a href='#' onclick='HeaderDisplay(1)'>" + ClassName + "</a></h5>";
                    }
                    else { tblOrg += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    // alert(obj);
                    document.getElementById("tblOrg").innerHTML = tblOrg;
                    document.getElementById("DepartHead").style.display = "none";
                    document.getElementById("OrgHead").style.display = "block";
                    statusId = 0;
                    // document.getElementById("HeaderTitle").innerHTML = Header;
                }
            });
        }
        function EmployeeDepartmentDataBind(Id) {
            if (Group == "OrgId")
            { OrgGroupId = 0; }
            else { OrgGroupId = OrgId;; OrgId = Id; }
            $.ajax({
                type: "POST",
                url: "NoOfEmployee.aspx/EmployeeDepartmentDataBind",
                data: JSON.stringify({ "OrgId": OrgId, "Group": Group, "OrgGroupId": OrgGroupId }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tlbDepartment = "";
                    var total = 0;
                    if (obj != "") {
                        tlbDepartment += "<tr><th>Department Name</th><th>Employee Count</th></tr>";
                        $.each(obj, function (i, item) {
                            tlbDepartment += "<tr><td><a onclick='EmployeeDataBind(" + item.DepartmentId + ",\"" + item.DepartmentName + " \")'>" + item.DepartmentName + "</a></td><td>" + item.EmployeeCount + "</td></tr>";
                            total += parseInt(item.EmployeeCount);
                        });
                        tlbDepartment += "<tr><td style='font-weight:bold'>Total</td><td style='font-weight:bold'>" + total + "</td></tr>";
                    }
                    else { tlbDepartment += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    document.getElementById("tblDepartment").innerHTML = tlbDepartment;
                    document.getElementById("DepartHead").style.display = "block";
                    document.getElementById("OrgHead").style.display = "none";

                }

            });
        }
        function EmployeeDataBind(DepartmentId, DepartmentName) {
            $.ajax({
                type: "POST",
                url: "NoOfEmployee.aspx/EmployeeDataBind",
                data: JSON.stringify({ "Id": Id, "Group": Group, "DepartmentId": parseInt(DepartmentId) }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (result) {
                    var obj = (result.d);
                    var tblEmployee = "";
                    if (obj != "") {
                        tblEmployee += "<tr><th>Employee Code</th><th>Employee Name</th></tr>";
                        $.each(obj, function (i, item) {
                            tblEmployee += "<tr><td>" + item.Code + "</td><td>" + item.EmployeeName + "</td></tr>";
                        });
                        Header += " <h5 class='page-title' style='display:Block' id='Depart'><a href='#' onclick='HeaderDisplay(1)'>" + DepartmentName + "</a></h5>";
                    }
                    else { tblEmployee += "<tr><td colspan='8' class='record'>No records found..!!</td></tr>"; }
                    document.getElementById("tblEmployee").innerHTML = tblEmployee;
                    document.getElementById("HeaderTitle").innerHTML = Header;
                    document.getElementById("DepartHead").style.display = "none";
                    document.getElementById("EmployeetHead").style.display = "block";
                    statusId = 1;
                }

            });
        }
        function BackOrgFunction() {
            if (statusId == 0) {
                if (Group == "OrgId")
                { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + OrgId; }
                else {
                    document.getElementById("DepartHead").style.display = "none";
                    document.getElementById("EmployeetHead").style.display = "none";
                    document.getElementById("OrgHead").style.display = "block";
                    statusId--;
                }
            }
           else if (statusId == 1) {
                document.getElementById("DepartHead").style.display = "block";
                document.getElementById("EmployeetHead").style.display = "none";
                $("#Depart").hide();
                Header = '' + ReHeader;
                statusId--;
            }
            else {
                if (Group == "OrgId")
                { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgId=" + OrgId; }
                else { window.location.href = "../MobileView/MobileDashBoard2.aspx?OrgGroupId=" + Id; }
            }
        }
        function DashBoard() { window.location.href = "../MobileView/DashBoard.aspx"; }
    </script>
    <asp:UpdatePanel ID="DoctorScheduleUpdatePanel" runat="server">
        <ContentTemplate>
            <div class="col-md-12 ptb12 d-inline-flex">
                <span class='btn btn-home btn-icon' onclick='DashBoard()' title='home'><span><i class='material-icons'>home</i></span></span>
                <div class="d-inline-flex w-100">
                    <label class="header-topic justify-content-center" id="HeaderLabel"></label>
                </div>
                <input type="button" value="&#xf3e5;" id="bntBackOrg" onclick="BackOrgFunction()" skinid="0" class="float-right btn btn-back btn-icon fas" />
            </div>
            <div class="page-header row mb20">
                <div class="col-xl-12 col-sm-12 col-xs-12 border-bottom-inline xs-padd0">
                    <div class="main-topic inner" id="HeaderTitle">
                    </div>
                </div>
            </div>


            <div class="bg-white row center-block">
                <div class="container-fluid">
                    <div class="gutters-tiny push js-appear-enabled animated fadeIn overflow-hidden" data-toggle="appear">
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="OrgHead" style="display: block">
                            <h3 class="table-topic">Organization</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblOrg' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="DepartHead" style="display: none">
                            <h3 class="table-topic">Department Wise Employee</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblDepartment' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="himssuHeader1WireBox col-md-12 pTop5" id="EmployeetHead" style="display: none">
                            <h3 class="table-topic">Employee List</h3>
                            <%-- <asp:PlaceHolder ID="DepartMentPlaceHolder" runat="server" /> --%>
                            <div class='himsBoxContent'>
                                <div class='table-responsive'>
                                    <table id='tblEmployee' class='table table-striped table-bordered'>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <%--    <div id="NoofStudentDepartDiv">
                                    <div class="himssuHeader1WireBox col-md-12 pTop5">
                                <h2 class="table-topic">Department Wise Employee</h2>
                                <asp:PlaceHolder ID="EmployeeDepartmentPlaceHolder" runat="server" />
                              <input type="hidden" id="Departmentid" runat="server" />
                      
                            </div>
                        </div>--%>
                    </div>
                </div>
            </div>
            <script>
                function openNav() {
                    document.getElementById("mySidenav").style.width = "344px";
                }

                function closeNav() {
                    document.getElementById("mySidenav").style.width = "0";
                }
            </script>
            <%-- <script>

                 function openDiv(obj) {
                     //debugger;
                     var id = $(obj);
                     if ($('.Detail1_' + id[0]).css('display') == 'none') {
                         $('.Detail1_' + id[0]).css('display', 'table-row');
                         $('.DetailNew1_' + id[0]).css('display', 'table-row');
                         //  $('.Detail_' + id).css('display', 'none');
                         //$('.DetailNew_' + id).css('display', 'none');
                     }
                     else {
                         $('.Detail1_' + id[0]).css('display', 'none');
                         $('.DetailNew1_' + id[0]).css('display', 'none');
                     }
                 }

                 function openDivNew(obj) {
               
                     debugger;
                     var id = $(obj);
                     $("#Departmentid").val(obj);
                   //  alert(obj);
                     if ($('.Detail1_' + id[0]).css('display') == 'none') {
                         $('.Detail1_' + id[0]).css('display', 'table-row');
                         $('.DetailNew_' + id[0]).css('display', 'table-row');
                         //  $('.Detail_' + id).css('display', 'none');
                         //$('.DetailNew_' + id).css('display', 'none');
                     }
                     else {
                         $('.Detail1_' + id[0]).css('display', 'none');
                         $('.DetailNew_' + id[0]).css('display', 'none');
                     }
                 }
    </script>--%>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
